OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
vehicle_widget.h File Reference

Types related to the vehicle widgets. More...

Go to the source code of this file.

## Enumerations
enum | VehicleViewWidgets { WID_VV_CAPTION, WID_VV_VIEWPORT, WID_VV_START_STOP, WID_VV_CENTER_MAIN_VIEW, WID_VV_GOTO_DEPOT, WID_VV_REFIT, WID_VV_SHOW_ORDERS, WID_VV_SHOW_DETAILS, WID_VV_CLONE, WID_VV_SELECT_DEPOT_CLONE, WID_VV_SELECT_REFIT_TURN, WID_VV_TURN_AROUND, WID_VV_FORCE_PROCEED }
| Widgets of the VehicleViewWindow class. More...
enum | VehicleRefitWidgets { WID_VR_CAPTION, WID_VR_VEHICLE_PANEL_DISPLAY, WID_VR_SHOW_HSCROLLBAR, WID_VR_HSCROLLBAR, WID_VR_SELECT_HEADER, WID_VR_MATRIX, WID_VR_SCROLLBAR, WID_VR_INFO, WID_VR_REFIT }
| Widgets of the RefitWindow class. More...
enum | VehicleDetailsWidgets { WID_VD_CAPTION, WID_VD_RENAME_VEHICLE, WID_VD_TOP_DETAILS, WID_VD_INCREASE_SERVICING_INTERVAL, WID_VD_DECREASE_SERVICING_INTERVAL, WID_VD_SERVICE_INTERVAL_DROPDOWN, WID_VD_SERVICING_INTERVAL, WID_VD_MIDDLE_DETAILS, WID_VD_MATRIX, WID_VD_SCROLLBAR, WID_VD_DETAILS_CARGO_CARRIED, WID_VD_DETAILS_TRAIN_VEHICLES, WID_VD_DETAILS_CAPACITY_OF_EACH, WID_VD_DETAILS_TOTAL_CARGO }
| Widgets of the VehicleDetailsWindow class. More...
enum | VehicleListWidgets { WID_VL_CAPTION, WID_VL_SORT_ORDER, WID_VL_SORT_BY_PULLDOWN, WID_VL_LIST, WID_VL_SCROLLBAR, WID_VL_HIDE_BUTTONS, WID_VL_AVAILABLE_VEHICLES, WID_VL_MANAGE_VEHICLES_DROPDOWN, WID_VL_STOP_ALL, WID_VL_START_ALL }
| Widgets of the VehicleListWindow class. More...

## Detailed Description

Types related to the vehicle widgets.

Definition in file vehicle_widget.h.

## Enumeration Type Documentation

enum VehicleDetailsWidgets

Widgets of the VehicleDetailsWindow class.

Enumerator:

  WID_VD_CAPTION | Caption of window.
  WID_VD_RENAME_VEHICLE | Rename this vehicle.
  WID_VD_TOP_DETAILS | Panel with generic details.
  WID_VD_INCREASE_SERVICING_INTERVAL | Increase the servicing interval.
  WID_VD_DECREASE_SERVICING_INTERVAL | Decrease the servicing interval.
  WID_VD_SERVICE_INTERVAL_DROPDOWN | Dropdown to select default/days/percent service interval.
  WID_VD_SERVICING_INTERVAL | Information about the servicing interval.
  WID_VD_MIDDLE_DETAILS | Details for non-trains.
  WID_VD_MATRIX | List of details for trains.
  WID_VD_SCROLLBAR | Scrollbar for train details.
  WID_VD_DETAILS_CARGO_CARRIED | Show carried cargo per part of the train.
  WID_VD_DETAILS_TRAIN_VEHICLES | Show all parts of the train with their description.
  WID_VD_DETAILS_CAPACITY_OF_EACH | Show the capacity of all train parts.
  WID_VD_DETAILS_TOTAL_CARGO | Show the capacity and carried cargo amounts aggregated per cargo of the train.

Definition at line 46 of file vehicle_widget.h.

enum VehicleListWidgets

Widgets of the VehicleListWindow class.

Enumerator:

  WID_VL_CAPTION | Caption of window.
  WID_VL_SORT_ORDER | Sort order.
  WID_VL_SORT_BY_PULLDOWN | Sort by dropdown list.
  WID_VL_LIST | List of the vehicles.
  WID_VL_SCROLLBAR | Scrollbar for the list.
  WID_VL_HIDE_BUTTONS | Selection to hide the buttons.
  WID_VL_AVAILABLE_VEHICLES | Available vehicles.
  WID_VL_MANAGE_VEHICLES_DROPDOWN | Manage vehicles dropdown list.
  WID_VL_STOP_ALL | Stop all button.
  WID_VL_START_ALL | Start all button.

Definition at line 64 of file vehicle_widget.h.

enum VehicleRefitWidgets

Widgets of the RefitWindow class.

Enumerator:

  WID_VR_CAPTION | Caption of window.
  WID_VR_VEHICLE_PANEL_DISPLAY | Display with a representation of the vehicle to refit.
  WID_VR_SHOW_HSCROLLBAR | Selection widget for the horizontal scrollbar.
  WID_VR_HSCROLLBAR | Horizontal scrollbar or the vehicle display.
  WID_VR_SELECT_HEADER | Header with question about the cargo to carry.
  WID_VR_MATRIX | Options to refit to.
  WID_VR_SCROLLBAR | Scrollbar for the refit options.
  WID_VR_INFO | Information about the currently selected refit option.
  WID_VR_REFIT | Perform the refit.

Definition at line 33 of file vehicle_widget.h.

enum VehicleViewWidgets

Widgets of the VehicleViewWindow class.

Enumerator:

  WID_VV_CAPTION | Caption of window.
  WID_VV_VIEWPORT | Viewport widget.
  WID_VV_START_STOP | Start or stop this vehicle, and show information about the current state.
  WID_VV_CENTER_MAIN_VIEW | Center the main view on this vehicle.
  WID_VV_GOTO_DEPOT | Order this vehicle to go to the depot.
  WID_VV_REFIT | Open the refit window.
  WID_VV_SHOW_ORDERS | Show the orders of this vehicle.
  WID_VV_SHOW_DETAILS | Show details of this vehicle.
  WID_VV_CLONE | Clone this vehicle.
  WID_VV_SELECT_DEPOT_CLONE | Selection widget between 'goto depot', and 'clone vehicle' buttons.
  WID_VV_SELECT_REFIT_TURN | Selection widget between 'refit' and 'turn around' buttons.
  WID_VV_TURN_AROUND | Turn this vehicle around.
  WID_VV_FORCE_PROCEED | Force this vehicle to pass a signal at danger.

Definition at line 16 of file vehicle_widget.h.